Bug 811720 - [as7] Temporarily add extra parent resources to children services linked to non-top level servers
[as7] Temporarily add extra parent resources to children services linked to n...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity unspecified (vote)
: ---
: ---
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-11 15:42 EDT by Stefan Negrea
Modified: 2013-09-01 15:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:18:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-04-11 15:42:47 EDT
Temporarily add extra parent resources to children services linked to non-top level servers to avoid bug 811525 for previous versions of the plugin container. The extra parent needs to be a top level server or service to avoid import of those services before parents get imported. 

The affected services are:
Transactions Subsystem (Domain)
Transactions Subsystem (Managed)

The extra parent resource:
JBossAS7 Host Controller


The extra parent resource is to be removed once the backwards compatibility requirement is dropped.
Comment 1 Stefan Negrea 2012-04-11 15:49:54 EDT
Commit that adds the extra parent resources:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=26c89b8cd15d53e679a63f7845c667b1f30fa0d5
Comment 3 Charles Crouch 2012-05-01 23:40:17 EDT
Lets go ahead and revert this now prior to RHQ4.4
Comment 4 Heiko W. Rupp 2012-05-02 09:08:02 EDT
Decide if still needed and if so, implement it,
Comment 5 Stefan Negrea 2012-05-02 13:12:49 EDT
The extra/unneeded parent resources have been removed from Transactions subsystem configuration:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=c828332bccc0ca270839ed9a7eeecd3a88a119ed


Just to clarify, bug 811525 is fixed. The current BZ was created to make the plugin temporarily compatible with previous versions of the plugin container (eg. RHQ 4.2).
Comment 6 Heiko W. Rupp 2013-09-01 15:18:31 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.